<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              http://ecreations.net/
 * @since             1.0.0
 * @package           Sponsor_Event_Calendar
 *
 * @wordpress-plugin
 * Plugin Name:       Sponsor Event Calendar
 * Plugin URI:        ecreations.net
 * Description:       Event Calendar with sponsor
 * Version:           1.0.1
 * Author:            ecreations.net
 * Author URI:        http://ecreations.net/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       sponsor-event-calendar
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-sponsor-event-calendar-activator.php
 */
function activate_sponsor_event_calendar() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-sponsor-event-calendar-activator.php';
	Sponsor_Event_Calendar_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-sponsor-event-calendar-deactivator.php
 */
function deactivate_sponsor_event_calendar() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-sponsor-event-calendar-deactivator.php';
	Sponsor_Event_Calendar_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_sponsor_event_calendar' );
register_deactivation_hook( __FILE__, 'deactivate_sponsor_event_calendar' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-sponsor-event-calendar.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_sponsor_event_calendar() {

	$plugin = new Sponsor_Event_Calendar();
	$plugin->run();

}
run_sponsor_event_calendar();
